Bug 497758 - Coolkey is unable to connect to token
Coolkey is unable to connect to token
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: coolkey (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jack Magne
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 19:12 EDT by Roman Kisilenko
Modified: 2010-06-28 14:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:13:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (355 bytes, patch)
2009-04-26 19:12 EDT, Roman Kisilenko
no flags Details | Diff

  None (edit)
Description Roman Kisilenko 2009-04-26 19:12:30 EDT
Created attachment 341374 [details]
Patch

Description of problem:
Coolkey never attempts to access the card. Coolkey applet is properly initialized on card.

Version-Release number of selected component (if applicable): source code from CVS trunk

How reproducible: always

Steps to Reproduce:
1. Take a card with coolkey applet initialized
2. Attempt to perform any operation on it via coolkey pkcs11 library, e.g. list slots.
  
Actual results: token is not found

Expected results: token is found and correctly identified

Additional info: See patch in attachment. It seems like status variable most likely have value of 0 on initialization in Slot::connectToToken, so connection loop is never entered. Attached patch works for me.
Comment 1 Bug Zapper 2009-06-09 10:37:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jack Magne 2009-09-16 16:31:46 EDT
Bob: The following patch does the trick for this:

Index: src/coolkey/slot.cpp
===================================================================
RCS file: /cvs/dirsec/coolkey/src/coolkey/slot.cpp,v
retrieving revision 1.11
diff -C 2 -r1.11 slot.cpp
*** src/coolkey/slot.cpp	19 Feb 2009 02:04:13 -0000	1.11
--- src/coolkey/slot.cpp	16 Sep 2009 18:38:17 -0000
***************
*** 573,577 ****
  Slot::connectToToken()
  {
!     CKYStatus status;
      OSTime time = OSTimeNow();
  
--- 573,577 ----
  Slot::connectToToken()
  {
!     CKYStatus status = CKYSCARDERR;
      OSTime time = OSTimeNow();
Comment 3 Bob Relyea 2009-09-16 16:41:35 EDT
Both patches should work.   Roman Kisilenko is probably more correct. Applying both is probably the safest (though either one is sufficient to correct the problem).

bob
Comment 4 Jack Magne 2009-09-16 19:58:10 EDT
Checking in configure.in;

Checking in src/coolkey/slot.cpp;
/cvs/dirsec/coolkey/src/coolkey/slot.cpp,v  <--  slot.cpp
new revision: 1.12; previous revision: 1.11
done
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedoraproject.org...
...syncmail done.
Comment 5 Bug Zapper 2010-04-27 09:57:27 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 08:13:56 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Jack Magne 2010-06-28 14:36:37 EDT
Issue already addressed.

Note You need to log in before you can comment on or make changes to this bug.